Subject: bug#24547: 24.4; dired should colour in sockets and pipes

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 13:08:23 +0200

Juri Linkov <[email-masked]> writes:

> Currently the face name is 'dired-socket', but this doesn't seem right
> since it's used not only for socket, but also for pipe, block and character
> devices.  Is 'dired-special' a better name?  At least the manual
> (info "(coreutils) What information is listed") named them "special file".

`dired-special' sounds like a better name; yes.  (I'm not sure whether
sockets are usually called special files, but the other ones covered by
the face are, I think.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no